class CreatePProductImages < ActiveRecord::Migration[6.0]
  def change
    create_table :p_product_images do |t|
      t.string :name
      t.string :description
      t.references :p_product, foreign_key: true
      t.references :p_product_ref, foreign_key: true
      t.boolean :enabled, :default => true
      t.integer :position
      t.references :image_file, foreign_key: true

      t.timestamps
    end
  end
end
